Package org.acplt.oncrpc.server

## Class OncRpcServerAcceptedCallMessage

- java.lang.Object
- - org.acplt.oncrpc.OncRpcMessage
  - - org.acplt.oncrpc.OncRpcReplyMessage
    - - org.acplt.oncrpc.server.OncRpcServerReplyMessage
      - - org.acplt.oncrpc.server.OncRpcServerAcceptedCallMessage

-     public class OncRpcServerAcceptedCallMessage
      extends OncRpcServerReplyMessage

  The `OncRpcServerAcceptedCallMessage` class represents (on the sender's side) an accepted ONC/RPC call. In ONC/RPC babble, an "accepted" call does not mean that it carries a result from the remote procedure call, but rather that the call was accepted at the basic ONC/RPC level and no authentification failure or else occured.

  This ONC/RPC reply header class is only a convenience for server implementors.

  Version:
    $Revision: 1.2 $ $Date: 2003/08/14 08:10:59 $ $State: Exp $ $Locker: $
  Author:
    Harald Albrecht

- - ### Field Summary

    - ### Fields inherited from class org.acplt.oncrpc.server.OncRpcServerReplyMessage

      `auth`

    - ### Fields inherited from class org.acplt.oncrpc.OncRpcReplyMessage

      `acceptStatus, authStatus, highVersion, lowVersion, rejectStatus, replyStatus, UNUSED_PARAMETER`

    - ### Fields inherited from class org.acplt.oncrpc.OncRpcMessage

      `messageId, messageType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OncRpcServerAcceptedCallMessage​(OncRpcServerCallMessage call)` | Constructs an `OncRpcServerAcceptedCallMessage` object which represents an accepted call, which was also successfully executed, so the reply will contain information from the remote procedure call.
    `OncRpcServerAcceptedCallMessage​(OncRpcServerCallMessage call, int acceptStatus)` | Constructs an `OncRpcAcceptedCallMessage` object which represents an accepted call, which was not necessarily successfully carried out.
    `OncRpcServerAcceptedCallMessage​(OncRpcServerCallMessage call, int low, int high)` | Constructs an `OncRpcAcceptedCallMessage` object for an accepted call with an unsupported version.

  - ### Method Summary

    - ### Methods inherited from class org.acplt.oncrpc.server.OncRpcServerReplyMessage

      `xdrEncode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OncRpcServerAcceptedCallMessage

          public OncRpcServerAcceptedCallMessage​(OncRpcServerCallMessage call)

      Constructs an `OncRpcServerAcceptedCallMessage` object which represents an accepted call, which was also successfully executed, so the reply will contain information from the remote procedure call.
      Parameters:
        `call` - The call message header, which is used to construct the matching reply message header from.

    - #### OncRpcServerAcceptedCallMessage

          public OncRpcServerAcceptedCallMessage​(OncRpcServerCallMessage call,
                                                 int acceptStatus)

      Constructs an `OncRpcAcceptedCallMessage` object which represents an accepted call, which was not necessarily successfully carried out. The parameter `acceptStatus` will then indicate the exact outcome of the ONC/RPC call.
      Parameters:
        `call` - The call message header, which is used to construct the matching reply message header from.
        `acceptStatus` - The accept status of the call. This can be any one of the constants defined in the `OncRpcAcceptStatus` interface.

    - #### OncRpcServerAcceptedCallMessage

          public OncRpcServerAcceptedCallMessage​(OncRpcServerCallMessage call,
                                                 int low,
                                                 int high)

      Constructs an `OncRpcAcceptedCallMessage` object for an accepted call with an unsupported version. The reply will contain information about the lowest and highest supported version.
      Parameters:
        `call` - The call message header, which is used to construct the matching reply message header from.
        `low` - Lowest program version supported by this ONC/RPC server.
        `high` - Highest program version supported by this ONC/RPC server.